/*
 * Copyright (c) 2000, 2001 Manuel Kauers, Stefan Rhrich
 * Alle Rechte vorbehalten.
 */

package picture;
/**
 * Exception fuer Ausnahmebehandlung von Layer-Dateien.
 *
 * nur fuer Fehler, die keiner anderen Exception
 * zugeordnet werden.
 *
 * @author  Stefan Roehrich
 * @version 1.0
 * @see     Picture
 */
public class PictureException extends Exception {

    /**
     * Erzeugt eine PictureException ohne spezielle Fehlermeldung.
     */
    public PictureException() {}

    /**
     * Erzeugt eine PictureException mit der uebergebenen Fehlermeldung.
     *
     * @param     s Fehlermeldung
     */
    public PictureException(String s) {super(s);}
}
