/*
 * Copyright (c) 2000, 2001 Manuel Kauers, Stefan Rhrich
 * Alle Rechte vorbehalten.
 */

package picture;

public interface ProgressViewableTransformation extends Transformation {

    /**
     * Bestimmt die Anzahl der Schritte, die bei den aktuellen Einstellungen
     * auf den ProgressHandler von <tt>p</tt> ausgef&uuml;hrt werden, wenn
     * diese Transformation auf <tt>p</tt> ausgef&uuml;hrt wird.
     *
     * @return Anzahl der Schritte
     */
    public int getNumberOfProgressSteps(Picture p);
}
