/*
 * Copyright (c) 2000, 2001 Manuel Kauers, Stefan Rhrich
 * Alle Rechte vorbehalten.
 */

package picture.filter;
import picture.*;

/**
 * Diese Transformation repraesentiert die identische Abbildung. Sie kann z.B.
 * fuer eine Kopierfunktion verwendet werden.
 */
public class Identity extends DefaultTransformation {

    public Identity() {}

    public int getNumberOfProgressSteps(Picture p) {return 0;}

    public Layer of(ProgressHandler ph, Layer p) {

	return createNewInstance(p, p.data);
    }
}
